pause(3)

params.midi        = 1;
params.niter       = 400;
params.features    = 'melSpectrogram';
params.projectors  = 0;
params.silence     = 1;
params.saveFile    = 'toto';
params.nTest       = 5;
params.nVal        = 5;
params.hopSize     = 0.08; % Time elapsed between two successive timestamps.

params.saveString  = 'resultsTempoCurve24032015';

nTrain          = num2cell([5]);

%The four following parameters have to be ajusted using validation or cross
%validation procedure
lambda          = 10e-8;
seed            = 1;
mu              = 1.1e-8;
nu              = 1;


params.dataPath = ['../dataFolder'];
params.saveDir  = './';


if ~exist(params.saveDir)
    mkdir(params.saveDir)
end

params.yExpected = 1;

  [perfTrain, perfVal, perfTest, roundTrain, params, delayTrainVariant,delayValVariant, delayTestVariant] = experimentYFinlandais(lambda, mu, nu, nTrain{1}, seed, params);